Name:           curlew
Version:        0.2.5
Release:        %mkrel 2
Summary:        Multimedia converter
License:        Waqf
Group:          Video
Url:            http://sourceforge.net/projects/curlew/
Source0:        http://sourceforge.net/projects/curlew/files/curlew-0.2.4/%{name}-%{version}.tar.xz
Patch0:         curlew-0.1.22.3_desktop.patch
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  python3-devel
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-gobject3 >= 3.0
BuildRequires:  python3-setuptools
BuildRequires:  librsvg
Requires:       ffmpeg
Requires:       mediainfo
Requires:       mencoder
Requires:       python3-gobject3
Requires:       xdg-utils
Requires:	gobject-introspection
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-ugly
Requires:	gtk+3.0
Requires:	gnome-icon-theme-symbolic
Requires:   python3-dbus
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Easy to use, Free and Open-Source Multimedia converter for Linux.
Curlew written in python and GTK3 and it depends on (ffmpeg/avconv, mencoder).

Main Features:

- Easy to use and clean user interface.
- Hide the advanced options with the ability to show them.
- Convert to more than 100 different formats.
- Allow to edit formats.
- Shutdown or suspend PC after a conversion process.
- Show file informations (duration, remaining time, estimated size, progress value).
- Show file details using mediainfo.
- Allow to skip or remove file during conversion process.
- Preview file before conversion.
- Show video thumbnail.
- Convert a specified portion of file.
- Combine subtitle with video.
- Allow to crop and pad video.
- Show error details if exist.
- And more ...

%prep
%setup -q
#%patch0 -p1

# Fix spurious-executable-perm
find . -type f -perm /u+x -exec chmod 644 {} \; || :

%build
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot}

%find_lang %{name}

%post
gtk-update-icon-cache /usr/share/icons/hicolor &>/dev/null || :

%postun
gtk-update-icon-cache /usr/share/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%exclude %{_defaultdocdir}/%name/LICENSE-ar.txt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{python3_sitelib}/%{name}-*
%{_datadir}/doc/curlew/

%changelog
* Sat Mar 19 2022 TerryN <terryn94 at gmail.com>  0.2.5-2pclos2022
- rebuild for python 3.10

* Tue Feb 04 2020 tex - 0.2.5-1pclos2020
- new version

